Subject: [GIT PULL 1/5] Samsung non-critical-fixes for v4.3

From: [email-masked] (Kukjin Kim)
Date: Tue, 04 Aug 2015 17:11:26 +0900

Krzysztof Kozlowski wrote:
> 
> On 04.08.2015 16:53, Kukjin Kim wrote:
> > Krzysztof Kozlowski wrote:
> >>
> >> On 04.08.2015 16:28, Kukjin Kim wrote:
> >>> Hi Arnd, Olof, Kevin,
> >>>
> >>> Here is Samsung non-critical-fixes for v4.3.
> >>> Please pull.
> >>>
> >>> Thanks,
> >>> Kukjin
> >>>
> >>> The following changes since commit d770e558e21961ad6cfdf0ff7df0eb5d7d4f0754:
> >>>
> >>>   Linux 4.2-rc1 (2015-07-05 11:01:52 -0700)
> >>>
> >>> are available in the git repository at:
> >>>
> >>>   git://git.kernel.org/pub/scm/linux/kernel/git/kgene/linux-samsung.git
> >>> tags/samsung-non-critical-1
> >>>
> >>> for you to fetch changes up to 2cc6b813579415c4f627b08a043079bdc5b87a33:
> >>>
> >>>   ARM: EXYNOS: Use IOMEM_ERR_PTR when function returns iomem (2015-07-21
> >>> 13:19:06 +0900)
> >>>
> >>> ----------------------------------------------------------------
> >>> Samsung non-critical fixes for v4.3
> >>>
> >>> - fix sparse warning for returning iomem
> >>> - fix clock-frequency of display timing0 for exynos3250-rinato
> >>
> > Hi,
> >
Hi,

> >> One more set, which we agreed for pushing to v4.2, is missing:
> >> 1. cpufreq: exynos: Fix for memory leak in case SOC name does not match
> >
> > As you can see in ml, I've sent it to Rafael because it would be handled in
> > cpufreq tree not samsung tree/arm-soc tree.
> >
> >> 2. video: fbdev: s3c-fb: Constify platform_device_id (this can actually
> >
> > Same as above, this would be handled in fb tree? Can you please send it?
> 
> This was on LKML for 3 months (including a resend). As this is S3C frame
> buffer I think this can go via samsung-soc tree, since fb guys did not
> picked it.
> 
Oh, OK. Let me look at its status again. Thanks.

> On list of patches few more are also missing:
> 1. cpufreq: exynos: remove Exynos5250 specific cpufreq driver support

This is included in tags/samsung-driver...let me note in the pull-request to
clarify.

> 2. clk: samsung: exynos5250: add cpu clock configuration data and
> instantiate cpu clock

Yeah, I'm aware of that and I need to sort it out soon.

> 3. defconfig changes (separate pull request?)
> 
Yeah, I'm sorting out some other defconfig updates and it will be sent out soon.

Thanks,
Kukjin